Hirschmann HiOS Switches Stack-based Buffer Overflow (CVE-2019-12256)

critical Tenable OT Security Plugin ID 502269

Synopsis

The remote OT asset is affected by a vulnerability.

Description

This vulnerability resides in the IPv4 option parsing and may be triggered by IPv4 packets containing invalid options.

The most likely outcome of triggering this defect is that the tNet0 task crashes. This vulnerability can result in remote code execution.

This plugin only works with Tenable.ot.
Please visit https://www.tenable.com/products/tenable-ot for more information.

Solution

Refer to the vendor advisory.

See Also

https://cert-portal.siemens.com/productcert/pdf/ssa-632562.pdf

https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2019-0009

http://www.nessus.org/u?591f0d79

https://support2.windriver.com/index.php?page=security-notices

https://security.netapp.com/advisory/ntap-20190802-0001/

http://www.nessus.org/u?c7d3d59d

https://support.f5.com/csp/article/K41190253

https://cert-portal.siemens.com/productcert/pdf/ssa-189842.pdf

https://cert-portal.siemens.com/productcert/pdf/ssa-352504.pdf

Plugin Details

Severity: Critical

ID: 502269

Version: 1.3

Type: remote

Family: Tenable.ot

Published: 6/10/2024

Updated: 6/11/2024

Supported Sensors: Tenable OT Security

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2019-12256

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/h:belden:hirschmann_rsp20, cpe:/h:belden:hirschmann_rail_switch_power_lite, cpe:/h:belden:hirschmann_rspe37, cpe:/h:belden:hirschmann_rsp25, cpe:/h:belden:hirschmann_rsp35, cpe:/h:belden:hirschmann_rspe30, cpe:/h:belden:hirschmann_rail_switch_power_smart, cpe:/h:belden:hirschmann_rspe35, cpe:/h:belden:hirschmann_dragon_mach4500, cpe:/h:belden:hirschmann_dragon_mach4000, cpe:/h:belden:hirschmann_eagle_one, cpe:/h:belden:hirschmann_eagle20, cpe:/h:belden:hirschmann_eagle30, cpe:/h:belden:hirschmann_rsp30, cpe:/h:belden:hirschmann_rspe32

Required KB Items: Tenable.ot/Hirschmann

Exploit Ease: No known exploits are available

Patch Publication Date: 8/9/2019

Vulnerability Publication Date: 8/9/2019

Reference Information

CVE: CVE-2019-12256

CWE: 120